# at_django_boilerplate/core/urls.py
from django.urls import path
from . import views
import at_django_boilerplate.core.logging.views as logger_views

urlpatterns = [
    path("", views.IndexView.as_view(), name='index'),  # Root URL for unauthenticated users
    path("home/", views.IndexView.as_view(), name='home'),
    path("dashboard/", views.DashboardView.as_view(), name='dashboard'),  # Dashboard for authenticated users
    path("faq/", views.FaqView.as_view(), name="faq"),
    path("terms-conditions/", views.TermsView.as_view(), name="terms_conditions"),
    path("privacy-policy/", views.PrivacyPolicyView.as_view(), name="privacy"),
    path("data-protection/", views.DataProtectionView.as_view(), name="data_protection"),
    path("imprint/", views.ImprintView.as_view(), name="imprint"),
    path("cookie-policy/", views.CookiePolicy.as_view(), name="cookie"),
    path("about/", views.AboutUsView.as_view(), name="about"),


    path("help-and-support/", views.HelpAndSupport.as_view(), name="help_and_support"),

    path("training/", views.Training.as_view(), name="training"),
    
    path("blog-list/", views.BlogsView.as_view(), name="blog_list"),
    path("careers/", views.CareersView.as_view(), name="careers"),
    path("our-core-team/", views.OurCoreTeam.as_view(), name="our_core_team"),
    path("success-stories/", views.SuccessStories.as_view(), name="success_stories"),

    path("subscribe/", views.subscribe_view, name="subscribe"),
    path("unsubscribe/<uuid:id>", views.unsubscribe_view, name="unsubscribe"),
    path("press/", views.PressView.as_view(), name="press"),

    path("robots.txt", views.robots_txt, name="robots_txt"),


################################## LOGS VIEWER #################################################


    path("logs/list", logger_views.log_list, name="log_list"),
    path("logs/<str:filename>/", logger_views.log_detail, name="log_detail"),


]